Package org.eclipse.cdt.utils

# Interface ICygwinToolsFactroy

All Superinterfaces:
  `IGnuToolFactory`

All Known Implementing Classes:
  `DefaultCygwinToolFactory`

public interface ICygwinToolsFactroy extends IGnuToolFactory

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.utils.IGnuToolFactory

`GNU_TOOL_PREFIX_VARIABLE`

## Method Summary

Modifier and Type
Method
Description
`CygPath`
`getCygPath()`

### Methods inherited from interface org.eclipse.cdt.utils.IGnuToolFactory

`getAddr2line, getCPPFilt, getNM, getObjdump`

## Method Details

### getCygPath

CygPath getCygPath()